---
title: CSSValueList.length
slug: Web/API/CSSValueList/length
tags:
  - API
  - CSSValueList
  - NeedsExample
  - Property
  - Read-only
  - Reference
  - length
---
<div>{{APIRef("DOM")}}</div>

<p>The <code><strong>length</strong></code> read-only property of the {{domxref("CSSValueList")}} interface represents the number of {{domxref("CSSValue")}}s in the list. The range of valid values of the indices is <code>0</code> to <code>length-1</code> inclusive.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">var <var>length</var> = <var>cssValueList</var>.length;
</pre>

<h3 id="Value">Value</h3>

<p>An <code>unsigned long</code> representing the number of {{domxref("CSSValue")}}s.</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('DOM2 Style', 'css.html#CSS-CSSValueList-length', 'CSSValueList.length')}}</td>
   <td>{{Spec2('DOM2 Style')}}</td>
   <td>Initial definition</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<div>

<p>{{Compat("api.CSSValueList.length")}}</p>
</div>
